com.ibm.openpages.api.workflow

## Interface IWFCurrencyEval

- All Superinterfaces:
    IWFEvalUnit

      public interface IWFCurrencyEval
      extends IWFEvalUnit

  Interface that represents currency value evaluation unit.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFEvalUnit` | `getExchangeRate()` Returns evaluation unit for exchange rate.
    `IWFEvalUnit` | `getLocalAmount()` Returns evaluation unit for local amount.
    `IWFEvalUnit` | `getLocalCurrency()` Returns evaluation unit for local currency.
    `void` | `setExchangeRate(IWFEvalUnit exchangeRate)` Assigns evaluation unit for exchange rate;
    `void` | `setLocalAmount(IWFEvalUnit localAmount)` Assigns evaluation unit for local amount.
    `void` | `setLocalCurrency(IWFEvalUnit localCurrency)` Assigns evaluation unit for local currency.

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getLocalCurrency

          IWFEvalUnit getLocalCurrency()

      Returns evaluation unit for local currency. The evaluated value has to be one of `ISOCurrencyCode`
      Returns:

    - #### setLocalCurrency

          void setLocalCurrency(IWFEvalUnit localCurrency)

      Assigns evaluation unit for local currency.
      Parameters:
        `localCurrency` -

    - #### getLocalAmount

          IWFEvalUnit getLocalAmount()

      Returns evaluation unit for local amount. The evaluated value has to be float, double or string that represents floating value.
      Returns:

    - #### setLocalAmount

          void setLocalAmount(IWFEvalUnit localAmount)

      Assigns evaluation unit for local amount.
      Parameters:
        `localAmount` -

    - #### getExchangeRate

          IWFEvalUnit getExchangeRate()

      Returns evaluation unit for exchange rate. The evaluated value has to be float, double or string that represents floating value.
      Returns:

    - #### setExchangeRate

          void setExchangeRate(IWFEvalUnit exchangeRate)

      Assigns evaluation unit for exchange rate;
      Parameters:
        `exchangeRate` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.